Bug 489483 - GFS2: Add tracepoints
GFS2: Add tracepoints
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: GFS-kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Whitehouse
:
Depends On:
Blocks: 501987 579598
  Show dependency treegraph
 
Reported: 2009-03-10 07:56 EDT by Steve Whitehouse
Modified: 2010-04-05 20:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-30 11:09:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add glocks to blktrace (kernel) (11.13 KB, patch)
2009-03-10 07:58 EDT, Steve Whitehouse
no flags Details | Diff
Patch to add glocks to blktrace (userland) (4.39 KB, patch)
2009-03-10 07:59 EDT, Steve Whitehouse
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2009-03-10 07:56:31 EDT
This is a bug to cover the activity of adding tracepoints to the GFS2 filesystem. Such things will be very useful for both functional test/debugging and performance analysis.

Originally I wrote an extension for blktrace to track glocks and block I/O via the same mechanism. This has already proved itself useful in solving a bug. I've received a suggestion that we should be using the generic tracepoints code rather than trying to tack onto blktrace. That will be ok provided we can maintain relative ordering between glocks and block I/O and provided that no extra overhead is introduced.

In addition there are other places in which we could usefully add tracepoints. Currently those include:

 1. Journalling (tracking blocks going in/out of the journal & writeback)
 2. Block allocation/deallocation

Tracepoints are undergoing rapid development at the moment. It may be wise to wait until after the next merge window in order to continue this development so that the core code has stabilised a bit.
Comment 1 Steve Whitehouse 2009-03-10 07:58:24 EDT
Created attachment 334622 [details]
Patch to add glocks to blktrace (kernel)
Comment 2 Steve Whitehouse 2009-03-10 07:59:07 EDT
Created attachment 334623 [details]
Patch to add glocks to blktrace (userland)
Comment 3 Bug Zapper 2009-06-09 08:04:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Steve Whitehouse 2009-09-30 11:09:36 EDT
Done and already upstream.

Note You need to log in before you can comment on or make changes to this bug.